<template>
  <div v-for="(meaning, index) in meanings" :key="index">
    <div class="q-mb-md text-h5 text-italic">
      {{ meaning.partOfSpeech }}
    </div>
    <div class="q-mb-xl">
      <div class="text-h6 text-grey-7 text-weight-light">Meaning</div>
      <ul
        class="q-mb-md"
        v-for="(row, index) in meaning.definitions"
        :key="index"
      >
        <li class="q-mb-sm text-body1">{{ row.definition }}</li>
        <q v-if="row.example" class="text-body1 text-grey-7">
          {{ row.example }}
        </q>
      </ul>
    </div>
  </div>
</template>

<script>
import { toRefs } from "vue";

export default {
  props: ["meanings"],
  setup(props) {
    const { meanings } = toRefs(props);

    return { meanings };
  },
};
</script>
